apport hook in source package not installed

Bug #791927 reported by Brian Murray on 2011-06-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
desktopcouch
Medium
Eric Casteleijn
desktopcouch (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

Binary package hint: desktopcouch

The source package for desktop couch includes a file data/source_desktopcouch.py which seems to be an apport hook but curiously it is not installed at all. I'd imagine desktopcouch bug reports would be more informative were the hook to be installed.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: desktopcouch 1.0.7-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
CheckboxSubmission: fee5e196cb921cbd36888f428b38b488
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
Date: Thu Jun 2 09:31:35 2011
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
SourcePackage: desktopcouch
UpgradeStatus: Upgraded to natty on 2011-04-28 (34 days ago)

Related branches

Brian Murray (brian-murray) wrote :
Changed in desktopcouch (Ubuntu):
assignee: nobody → Ubuntu One Team (ubuntuone-team)
importance: Undecided → Medium
Changed in desktopcouch (Ubuntu):
assignee: Ubuntu One Team (ubuntuone-team) → Eric Casteleijn (thisfred)
status: New → Confirmed
Changed in desktopcouch (Ubuntu):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

I'm not seeing this in 11.10:

8:07:10 - flash:[~] ls /usr/share/apport/package-hooks/source_de*
/usr/share/apport/package-hooks/source_debian-installer.py /usr/share/apport/package-hooks/source_debian-installer.pyc

dobey (dobey) on 2011-11-14
Changed in desktopcouch:
assignee: nobody → Eric Casteleijn (thisfred)
importance: Undecided → Medium
status: New → Fix Released
Changed in desktopcouch (Ubuntu):
assignee: Eric Casteleijn (thisfred) → nobody
status: Fix Committed → Confirmed
Martin Pitt (pitti) wrote :

Precise and oneiric-proposed fixes uploaded.

Changed in desktopcouch (Ubuntu Oneiric):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 1.0.8-0ubuntu2

---------------
desktopcouch (1.0.8-0ubuntu2) precise; urgency=low

  * desktopcouch.install:
    - Include the apport package hook (LP: #791927)
 -- Rodney Dawes <email address hidden> Mon, 05 Dec 2011 12:53:54 +0100

Changed in desktopcouch (Ubuntu Precise):
status: Confirmed → Fix Released

Hello Brian, or anyone else affected,

Accepted desktopcouch into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

Could you confirm that the fix works for you so the update can be moved out of staging?

Brian Murray (brian-murray) wrote :

I installed desktopcouch from oneiric-proposed in a chroot and confirm that /usr/share/apport/package-hooks/source_desktopcouch.py now exists.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 1.0.8-0ubuntu1.1

---------------
desktopcouch (1.0.8-0ubuntu1.1) oneiric-proposed; urgency=low

  * desktopcouch.install:
    - Include the apport package hook (LP: #791927)
 -- Rodney Dawes <email address hidden> Mon, 05 Dec 2011 12:53:54 +0100

Changed in desktopcouch (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers